Slackware 12.2 : kernel [updated] (SSA:2009-231-01)

High Nessus Plugin ID 40623


The remote Slackware host is missing a security update.


This is a followup to the SSA:2009-230-01 advisory noting some errata. The generic SMP kernel update for Slackware 12.2 was built using the .config for a huge kernel, not a generic one. The kernel previously published as kernel-generic-smp and in the gemsmp.s directory works and is secure, but is larger than it needs to be. It has been replaced in the Slackware 12.2 patches with a generic SMP kernel. A new svgalib_helper package (compiled for a kernel) was added to the Slackware 12.2 /patches. An error was noticed in the SSA:2009-230-01 advisory concerning the packages for Slackware
-current 32-bit. The http links given refer to packages with a -1 build version. The actual packages have a build number of -2.


Update the affected kernel-generic-smp, kernel-modules-smp and / or kernel-source packages.

See Also

Plugin Details

Severity: High

ID: 40623

File Name: Slackware_SSA_2009-231-01.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2009/08/20

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:slackware:slackware_linux:kernel-generic-smp, p-cpe:/a:slackware:slackware_linux:kernel-modules-smp, p-cpe:/a:slackware:slackware_linux:kernel-source, cpe:/o:slackware:slackware_linux:12.2

Required KB Items: Host/local_checks_enabled, Host/Slackware/release, Host/Slackware/packages

Patch Publication Date: 2009/08/19

Reference Information

SSA: 2009-231-01